"""
author: Claudio Gomes
email: claudio.gomes[at]uantwerpen.be
"""
from bokeh.plotting import figure, output_file, show
from cbdsim import Controller
from Options import Options
from CBDMultipleOutput.models.HarmonicOscilator import CircleCBDDerivative
from CBDMultipleOutput.Source.CBD import CBD

options = Options(delta = 0.1)
options.setMaxIterations(100);
#cbdModel = EvenNumberGen("EvenNumbersGenerator")
cbdModel = CircleCBDDerivative("CircleCBDDerivative",options.getDeltaT())
# Use keep_running false for as fast as possible simulation.
cbdSimController = Controller(options, cbdModel, keep_running=False)
cbdSimController.start()

